[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Menus' (#lcl)

# TMenuItem.Create

Constructor for the class instance.

## Declaration

Source position: menus.pp line 260

`public constructor TMenuItem.Create(`
`TheOwner: TComponent`
`); override;`

## Arguments

`TheOwner` |  | Owner of the class instance.

## Description

Create is the overridden constructor for TMenuItem, and calls the inherited method on entry. Create sets the default values for properties, and allocates resources needed for the internal TChangeLink instance used in the class instance.

## See also

TComponent.Create